<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_85d1a5c" . "d112f9c8" . "16e198a4" . "4c17b230" . "5" => base64_decode("Li4vY29tbW9uL2" . "NhbGVuZGFyX3Br" . "Zy5waHA="), "_8dabb06efc95df4cff7" . "c4afe91857b53" => base64_decode("bmF" . "tZQ" . "=="), "_ef3a72fcbe85" . "7b2afe45cb9d8" . "cafb253" => base64_decode("Z" . "W" . "5" . "k"), "_d8c4ad80bf9e8f2" . "ff7766b61d1f5ea0" . "b" => base64_decode("bGlu" . "a19p" . "ZA=="), "_84929763267bc12007" . "295ccd54f62914" => base64_decode("Y29sb3" . "I="), "_3146fac6116b6cfbfb52924" . "1aa6c4614" => base64_decode("Zn" . "Vs" . "bA" . "=="), "_0ea4e32b57963ac0cb305" . "7e03e9aef64" => base64_decode("aW" . "Q="), "_ae18cd25271a5df040f9a0b94fde51a" . "b" => base64_decode("Y2xuX2" . "lk"), "_aac291547a403778eb6591995cbc" . "2db9" => base64_decode("bW" . "Q="), "_59ac4def56386" . "36b8e25ff64d5f" . "6c2c8" => base64_decode("R" . "g" . "=" . "="), "_2efc2c1faee0f" . "f1816817e945b9" . "bd2f0" => base64_decode("LTEgb" . "W9udG" . "g="), "_1f6779e91fd3b" . "a3953dba6a08c4" . "62ac5" => base64_decode("KzEgbW9udG" . "g="), "_ccd9e4021" . "49a4aff4a2" . "0de187781a" . "a41" => base64_decode("c3Rh" . "cnQ="));





class CalendarMini extends ErrorHandler
{
    
    
    
    
    protected $date;
    
    
    
    
    protected $start_date;
    protected $event_array;
    protected $week_start_day;
    
    
    
    
    protected $now;
    
    
    
    
    
    
    protected $cln_ids;
    public function __construct($_d2cc62d335ad25b1ef74e7d3ef30c83a)
    {
        $this->week_start_day = $_d2cc62d335ad25b1ef74e7d3ef30c83a;
    }
    
    
    
    
    
    
    
    public function Init(DateDay $_67a0d624aebcceb0abd5ce56a53ff06f, $_ecae772125035be7dc4d38556a47ea8c)
    {
        require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_85d1a5cd112f9c816e" . "198a44c17b2305"];
        $this->cln_ids = $_ecae772125035be7dc4d38556a47ea8c;
        $this->now = new DateDay();
        $this->date = new DateDay($_67a0d624aebcceb0abd5ce56a53ff06f);
        $_edba27c2338aecb284a6cc74c9b794ea = new CalendarControllerView($this->week_start_day);
        $_edba27c2338aecb284a6cc74c9b794ea->Init(new Date($this->date), CALENDAR_VIEW_MONTH);
        $this->start_date = $_edba27c2338aecb284a6cc74c9b794ea->getPeriodStart();
        if (empty($_ecae772125035be7dc4d38556a47ea8c)) {
            $events = $_edba27c2338aecb284a6cc74c9b794ea->GetEventsArrayInCalendars(null);
        } else {
            $events = $_edba27c2338aecb284a6cc74c9b794ea->GetEventsArrayInCalendars($_ecae772125035be7dc4d38556a47ea8c);
        }
        foreach ((array) $events as $event) {
            
            
            $_ccd9e402149a4aff4a20de187781aa41 = $event->GetStartDate()->getStartOfDay();
            $_ef3a72fcbe857b2afe45cb9d8cafb253 = $event->GetEndDate()->getEndOfDay();
            while ($_ef3a72fcbe857b2afe45cb9d8cafb253->after($_ccd9e402149a4aff4a20de187781aa41, 1)) {
                $this->event_array[$_ccd9e402149a4aff4a20de187781aa41->format($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_aac291547a403778eb6591995cbc2db" . "9"])][] = $event;
                $_ccd9e402149a4aff4a20de187781aa41->addDays(1);
            }
        }
    }
    public function GetMonthName()
    {
        return $this->date->format($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_59ac4def5638636b8e2" . "5ff64d5f6c2c8"]);
    }
    public function GetPreviousMonthName()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->date;
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2efc2c1faee0ff1816" . "817e945b9bd2f0"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_59ac4def5638636b8e25ff64d5f6c2c" . "8"]);
    }
    public function GetNextMonthName()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->date;
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_1f6779e91fd3ba3953dba6a08c462a" . "c5"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_59ac4def5638636b8e25ff64d5" . "f6c2c8"]);
    }
    
    
    
    
    
    
    
    
    public function GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = clone $this->start_date;
        $_cb9da9ebb63290264e0536d1e462a8d6 = 7 * $_b8cfc2e06d9d1fec1893ea4a054002bf + $_83dcb96e6497727bea94783c6ee8feb5;
        $_67a0d624aebcceb0abd5ce56a53ff06f->addDays($_cb9da9ebb63290264e0536d1e462a8d6);
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    
    
    
    
    public function IsCurrentMonth($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getMonth() == $this->date->getMonth();
    }
    public function GetDayNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDay();
    }
    public function GetWeeksCount()
    {
        return $this->date->getWeeksInMonth();
    }
    public function IsDayHaveEvents($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return isset($this->event_array[$_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_aac291547a40377" . "8eb6591995cbc2db" . "9"])]);
    }
    public function IsToday($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        return $this->now->getDate(DATE_FORMAT_DATE_DAY) == $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_DATE_DAY);
    }
    
    
    
    
    
    
    public function GetNextMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_1f6779e91fd3ba39" . "53dba6a08c462ac5"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    
    
    
    
    
    
    public function GetPrevMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        $_67a0d624aebcceb0abd5ce56a53ff06f->modify($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2efc2c1f" . "aee0ff181" . "6817e945b" . "9bd2f0"]);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    public function GetCurrentMonthDatePoint()
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new Date($this->date);
        return $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_ISO_DATE);
    }
    
    
    
    
    
    
    
    
    public function GetEventsOnDay($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5)
    {
        $_24a5101ad9295cf2103c538c496623f7 = CalendarToolKit::instance();
        $_67a0d624aebcceb0abd5ce56a53ff06f = $this->GetDateByNum($_b8cfc2e06d9d1fec1893ea4a054002bf, $_83dcb96e6497727bea94783c6ee8feb5);
        $_343a395319323dd7609bcbc465b4d034 = [];
        foreach ((array) $this->event_array[$_67a0d624aebcceb0abd5ce56a53ff06f->format($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aac291547a403778eb6591995c" . "bc2db9"])] as $event) {
            
            
            
            $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b = $event->GetId();
            if ($event->type === CALENDAR_TYPE_SYSTEM_EVENT) {
                $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b = $event->GetEventKey();
            }
            $_343a395319323dd7609bcbc465b4d034[$_d8c4ad80bf9e8f2ff7766b61d1f5ea0b] = array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0ea4e32b57963ac0cb3057e0" . "3e9aef64"] => $event->GetId(), $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_ae18cd25271a5df040f9a0b94fde5" . "1ab"] => $event->GetClnId(), $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8dabb06efc9" . "5df4cff7c4af" . "e91857b53"] => $event->GetName(), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ccd9e402149a4aff4a20de18778" . "1aa41"] => $event->GetStartDate()->getDate(DATE_FORMAT_ISO), $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ef3a72f" . "cbe857b2" . "afe45cb9" . "d8cafb25" . "3"] => $event->GetEndDate()->getDate(DATE_FORMAT_ISO), $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3146fac6116b6cfb" . "fb529241aa6c4614"] => $event->GetPeriod()->IsFullDay(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_84929763267bc1200729" . "5ccd54f62914"] => $_24a5101ad9295cf2103c538c496623f7->GetCalendarById($event->GetClnId())->GetColor(), $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_d8c4ad8" . "0bf9e8f2" . "ff7766b6" . "1d1f5ea0" . "b"] => $_d8c4ad80bf9e8f2ff7766b61d1f5ea0b);
        }
        return $_343a395319323dd7609bcbc465b4d034;
    }
}